Skip to main content

No-Show Sale Using a Stored Credential


Use this information to request a no-show sale when the customer does not use or cancel the reservation. In this scenario, use the stored credential (token) to charge the customer an agreed-upon fee, as stated in your lodging's disclosed no-show and cancellation policies.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

This example shows you how to request a sale payment for a no-show transaction. The example includes optional lodging fields.

{    "clientReferenceInformation": {        "code": "TestCode123",        "comments": "Noshow Sale CP",        "partner": {            "thirdPartyCertificationNumber": "123456789012",            "developerId": "AssignedDevID",            "solutionId": "AssignedSolutionID"        }    },    "processingInformation": {        "capture": "true",        "commerceIndicator": "internet",        "authorizationOptions": {            "ignoreAvsResult": "true",            "ignoreCvResult": "true",            "initiator": {                "type": "merchant",                "storedCredentialUsed": "true",                "merchantInitiatedTransaction": {                    "reason": "4",                    "previousTransactionId": "304332675422846",                    "originalAuthorizedAmount": "488.00"                }            }        },        "industryDataType": "lodging"    },    "travelInformation": {        "lodging": {            "specialProgramCode": "2"        }    },    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Smith",            "address1": "1295 Main Rd",            "postalCode": "94043",            "locality": "Mountain View",            "administrativeArea": "CA",            "firstName": "Jane",            "email": "[email protected]"        },        "amountDetails": {            "totalAmount": "500.00",            "currency": "USD"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2031",            "number": "400552XXXXXXXXXX",            "securityCode": "424",            "expirationMonth": "12",            "type": "001"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/7334468105946974604953/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7334468105946974604953"        }    },    "clientReferenceInformation": {        "code": "TestCode123",        "comments": "Noshow Sale CP",        "partner": {            "developerId": "AssignedDevID",            "solutionId": "AssignedSolutionID"        }    },    "id": "7334468105946974604953",    "orderInformation": {        "amountDetails": {            "totalAmount": "500.00",            "authorizedAmount": "500.00",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "accountFeatures": {            "category": "B",            "group": "0"        },        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "processorInformation": {        "systemTraceAuditNumber": "023826",        "paymentAccountReferenceNumber": "V0010013019053587486979965591",        "approvalCode": "054511",        "cardVerification": {            "resultCodeRaw": "M",            "resultCode": "M"        },        "networkTransactionId": "304341036102578",        "settlementDate": "4346",        "retrievalReferenceNumber": "434001023826",        "transactionId": "304341036102578",        "responseCode": "00",        "avs": {            "code": "U",            "codeRaw": "U"        }    },    "reconciliationId": "7334468105946974604953",    "status": "AUTHORIZED",    "submitTimeUtc": "2025-12-06T01:00:10Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Noshow Sale CP.
clientReferenceInformation.partner.developerIdThe value is provided by .
clientReferenceInformation.partner.solutionIdThe value is provided by .
clientReferenceInformation.partner.thirdPartyCertificationNumberThe value is provided by .
clientReferenceInformation.transactionIdSet this field to a unique value to manage timeout scenarios when a response message is not received.
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
orderInformation.billTo.address1
orderInformation.billTo.administrativeArea
orderInformation.billTo.country
orderInformation.billTo.email
orderInformation.billTo.firstName
orderInformation.billTo.lastName
orderInformation.billTo.locality
orderInformation.billTo.postalCode
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
processingInformation.authorizationOptions.ignoreAvsResultSet the value to true.
processingInformation.authorizationOptions.ignoreCvResultSet the value to true.
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.originalAuthorizedAmount
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.previousTransactionId
processingInformation.authorizationOptions.initiator. merchantInitiatedTransaction.reasonSet the value to 4.
processingInformation.authorizationOptions.initiator.storedCredentialUsedSet the value to true.
processingInformation.authorizationOptions.initiator.typeSet the value to merchant.
processingInformation.captureSet the value to true.
processingInformation.commerceIndicatorSet the value to internet.
processingInformation.industryDataTypeSet the value to lodging.
travelInformation.lodging.specialProgramCodeSet this value to 2.

Last published: September 29, 2026